# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "hash-link"
version = "0.1.0"
authors = ["John Ray <996351336@qq.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Keep elements insert order while searchable by hash"
readme = "README.md"
keywords = [
    "hash",
    "collection",
]
categories = [
    "data-structures",
    "algorithms",
]
license = "MIT"

[lib]
name = "hash_link"
path = "src/lib.rs"

[[test]]
name = "drop_tests"
path = "tests/drop_tests.rs"

[[test]]
name = "find_hash_tests"
path = "tests/find_hash_tests.rs"

[[test]]
name = "hash_link_tests"
path = "tests/hash_link_tests.rs"

[[test]]
name = "mod"
path = "tests/mod.rs"
